Read the post's responses from the platforms now
Read the post's responses from the platforms now (posts:write)
Every request sends Authorization: Bearer ...: the access token in local mode, an API key stk_... in cloud mode. Use Send to try it against your cloud instance with your API key.
POST
Queues the reading and the AI analysis; returns what is stored at this moment.
header
AuthorizationBearer <token>API key (stk_...), or in the Community Edition the access token (stk_local_...)
id*stringAccepted
application/json- response
overall*|nullchannels*array<>curl -X POST 'https://staqly.example.com/v1/posts/string/responses/refresh'Example Response
{ "overall": { "positive": 0, "neutral": 0, "negative": 0, "summary": "string", "themes": [ "string" ], "questions": [ "string" ], "status": "string", "error": "string", "analyzed_at": "2019-08-24T14:15:22Z" }, "channels": [ { "channel_id": "string", "channel_name": "string", "provider": "string", "available": true, "error": "string", "insight": { "positive": 0, "neutral": 0, "negative": 0, "summary": "string", "themes": [ "string" ], "questions": [ "string" ], "status": "string", "error": "string", "analyzed_at": "2019-08-24T14:15:22Z" }, "responses": [ { "id": "string", "parent_id": "string", "author": "string", "author_handle": "string", "text": "string", "url": "string", "sentiment": "string", "likes": 0, "created_at": "string" } ] } ]}